package com.yhy.module.core.service.config;

import com.yhy.module.core.controller.admin.config.vo.ConfigUnitFieldHiddenFieldsRespVO;
import com.yhy.module.core.controller.admin.config.vo.ConfigUnitFieldRespVO;
import com.yhy.module.core.controller.admin.config.vo.ConfigUnitFieldSaveReqVO;
import java.util.List;
import javax.validation.Valid;

/**
 * 单位工程界面配置 - 工作台字段设置 Service
 */
public interface ConfigUnitFieldService {

    Long create(@Valid ConfigUnitFieldSaveReqVO createReqVO);

    void batchCreate(@Valid List<ConfigUnitFieldSaveReqVO> createReqVOs);

    void update(@Valid ConfigUnitFieldSaveReqVO updateReqVO);

    void delete(Long id);

    List<ConfigUnitFieldRespVO> getList(Long catalogItemId);

    void swapSort(Long nodeId1, Long nodeId2);

    /** 供工作台调用：获取各标签页的隐藏字段编码列表 */
    ConfigUnitFieldHiddenFieldsRespVO getHiddenFields(Long catalogItemId);
}
